de.esprit.common.gui.event

## Class DataLoadEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.common.gui.event.DataLoadEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class DataLoadEvent
      extends GenericEvent

  This event type has been developed in order to observe changes in the number of records that a JTable or a JList might encounter. It is sent typically after a load or a clear or when the number of rows has changed. Listeners may find out from the event in what kind of change they are interested and only react very specific on those.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DataLoadEvent.Listener`
    `static interface` | `DataLoadEvent.Source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataLoadEvent(java.lang.Object source, int rowCount, boolean wasCleared, boolean wasLoaded, boolean wasRowAdded, boolean wasRowDeleted)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRowCount()`
    `java.lang.Object` | `getSource()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.
    `boolean` | `wasCleared()`
    `boolean` | `wasLoaded()`
    `boolean` | `wasRowAdded()`
    `boolean` | `wasRowDeleted()`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataLoadEvent

          public DataLoadEvent(java.lang.Object source,
                       int rowCount,
                       boolean wasCleared,
                       boolean wasLoaded,
                       boolean wasRowAdded,
                       boolean wasRowDeleted)

  - ### Method Detail

    - #### getSource

          public java.lang.Object getSource()

    - #### getRowCount

          public int getRowCount()

    - #### wasCleared

          public boolean wasCleared()

    - #### wasLoaded

          public boolean wasLoaded()

    - #### wasRowAdded

          public boolean wasRowAdded()

    - #### wasRowDeleted

          public boolean wasRowDeleted()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.